import { onMounted, ref, watch } from 'vue';
export default function useEffect(getValue, condition, shouldUpdate) {
    const isMomunt = ref(false);
    watch(condition, (next, pre) => {
        if (shouldUpdate) {
            if (shouldUpdate(next, pre)) {
                getValue();
            }
        }
        else {
            getValue();
        }
    });
    onMounted(() => {
        isMomunt.value = true;
        getValue();
    });
}
